#==============================================================================
# =====================================
# Instruction dispatch table (raw form)
# =====================================

# Copyright 2005 (C) Peter Linich

set RAW_DISPATCH {
		{ RegisterOp		0	0x00 }
		{ RegisterOp		1	0x01 }
		{ RegisterOp		2	0x02 }
		{ RegisterOp		3	0x03 }
		{ RegisterOp		4	0x04 }
		{ RegisterOp		5	0x05 }
		{ RegisterOp		6	0x06 }
		{ RegisterOp		7	0x07 }
		{ RegisterOp		8	0x08 }
		{ RegisterOp		9	0x09 }
		{ RegisterOp		10	0x0a }
		{ RegisterOp		11	0x0b }
		{ RegisterOp		12	0x0c }
		{ RegisterOp		13	0x0d }
		{ RegisterOp		14	0x0e }
		{ RegisterOp		15	0x0f }
		{ UndefinedOperation	16	0x10 }
		{ UndefinedOperation	17	0x11 }
		{ Spsu			18	0x12 }
		{ Spsl			19	0x13 }
		{ Retc			20	0x14 }
		{ Retc			21	0x15 }
		{ Retc			22	0x16 }
		{ Retc			23	0x17 }
		{ Bctr			24	0x18 }
		{ Bctr			25	0x19 }
		{ Bctr			26	0x1a }
		{ Bctr			27	0x1b }
		{ Bcta			28	0x1c }
		{ Bcta			29	0x1d }
		{ Bcta			30	0x1e }
		{ Bcta			31	0x1f }
		{ RegisterOp		32	0x20 }
		{ RegisterOp		33	0x21 }
		{ RegisterOp		34	0x22 }
		{ RegisterOp		35	0x23 }
		{ RegisterOp		36	0x24 }
		{ RegisterOp		37	0x25 }
		{ RegisterOp		38	0x26 }
		{ RegisterOp		39	0x27 }
		{ RegisterOp		40	0x28 }
		{ RegisterOp		41	0x29 }
		{ RegisterOp		42	0x2a }
		{ RegisterOp		43	0x2b }
		{ RegisterOp		44	0x2c }
		{ RegisterOp		45	0x2d }
		{ RegisterOp		46	0x2e }
		{ RegisterOp		47	0x2f }
		{ Redc			48	0x30 }
		{ Redc			49	0x31 }
		{ Redc			50	0x32 }
		{ Redc			51	0x33 }
		{ Rete			52	0x34 }
		{ Rete			53	0x35 }
		{ Rete			54	0x36 }
		{ Rete			55	0x37 }
		{ Bstr			56	0x38 }
		{ Bstr			57	0x39 }
		{ Bstr			58	0x3a }
		{ Bstr			59	0x3b }
		{ Bsta			60	0x3c }
		{ Bsta			61	0x3d }
		{ Bsta			62	0x3e }
		{ Bsta			63	0x3f }
		{ Halt			64	0x40 }
		{ RegisterOp		65	0x41 }
		{ RegisterOp		66	0x42 }
		{ RegisterOp		67	0x43 }
		{ RegisterOp		68	0x44 }
		{ RegisterOp		69	0x45 }
		{ RegisterOp		70	0x46 }
		{ RegisterOp		71	0x47 }
		{ RegisterOp		72	0x48 }
		{ RegisterOp		73	0x49 }
		{ RegisterOp		74	0x4a }
		{ RegisterOp		75	0x4b }
		{ RegisterOp		76	0x4c }
		{ RegisterOp		77	0x4d }
		{ RegisterOp		78	0x4e }
		{ RegisterOp		79	0x4f }
		{ Rrr			80	0x50 }
		{ Rrr			81	0x51 }
		{ Rrr			82	0x52 }
		{ Rrr			83	0x53 }
		{ Rede			84	0x54 }
		{ Rede			85	0x55 }
		{ Rede			86	0x56 }
		{ Rede			87	0x57 }
		{ Brnr			88	0x58 }
		{ Brnr			89	0x59 }
		{ Brnr			90	0x5a }
		{ Brnr			91	0x5b }
		{ Brna			92	0x5c }
		{ Brna			93	0x5d }
		{ Brna			94	0x5e }
		{ Brna			95	0x5f }
		{ RegisterOp		96	0x60 }
		{ RegisterOp		97	0x61 }
		{ RegisterOp		98	0x62 }
		{ RegisterOp		99	0x63 }
		{ RegisterOp		100	0x64 }
		{ RegisterOp		101	0x65 }
		{ RegisterOp		102	0x66 }
		{ RegisterOp		103	0x67 }
		{ RegisterOp		104	0x68 }
		{ RegisterOp		105	0x69 }
		{ RegisterOp		106	0x6a }
		{ RegisterOp		107	0x6b }
		{ RegisterOp		108	0x6c }
		{ RegisterOp		109	0x6d }
		{ RegisterOp		110	0x6e }
		{ RegisterOp		111	0x6f }
		{ Redd			112	0x70 }
		{ Redd			113	0x71 }
		{ Redd			114	0x72 }
		{ Redd			115	0x73 }
		{ Cpsu			116	0x74 }
		{ Cpsl			117	0x75 }
		{ Ppsu			118	0x76 }
		{ Ppsl			119	0x77 }
		{ Bsnr			120	0x78 }
		{ Bsnr			121	0x79 }
		{ Bsnr			122	0x7a }
		{ Bsnr			123	0x7b }
		{ Bsna			124	0x7c }
		{ Bsna			125	0x7d }
		{ Bsna			126	0x7e }
		{ Bsna			127	0x7f }
		{ RegisterOp		128	0x80 }
		{ RegisterOp		129	0x81 }
		{ RegisterOp		130	0x82 }
		{ RegisterOp		131	0x83 }
		{ RegisterOp		132	0x84 }
		{ RegisterOp		133	0x85 }
		{ RegisterOp		134	0x86 }
		{ RegisterOp		135	0x87 }
		{ RegisterOp		136	0x88 }
		{ RegisterOp		137	0x89 }
		{ RegisterOp		138	0x8a }
		{ RegisterOp		139	0x8b }
		{ RegisterOp		140	0x8c }
		{ RegisterOp		141	0x8d }
		{ RegisterOp		142	0x8e }
		{ RegisterOp		143	0x8f }
		{ UndefinedOperation	144	0x90 }
		{ UndefinedOperation	145	0x91 }
		{ Lpsu			146	0x92 }
		{ Lpsl			147	0x93 }
		{ Dar			148	0x94 }
		{ Dar			149	0x95 }
		{ Dar			150	0x96 }
		{ Dar			151	0x97 }
		{ Bcfr			152	0x98 }
		{ Bcfr			153	0x99 }
		{ Bcfr			154	0x9a }
		{ Zbrr			155	0x9b }
		{ Bcfa			156	0x9c }
		{ Bcfa			157	0x9d }
		{ Bcfa			158	0x9e }
		{ Bxa			159	0x9f }
		{ RegisterOp		160	0xa0 }
		{ RegisterOp		161	0xa1 }
		{ RegisterOp		162	0xa2 }
		{ RegisterOp		163	0xa3 }
		{ RegisterOp		164	0xa4 }
		{ RegisterOp		165	0xa5 }
		{ RegisterOp		166	0xa6 }
		{ RegisterOp		167	0xa7 }
		{ RegisterOp		168	0xa8 }
		{ RegisterOp		169	0xa9 }
		{ RegisterOp		170	0xaa }
		{ RegisterOp		171	0xab }
		{ RegisterOp		172	0xac }
		{ RegisterOp		173	0xad }
		{ RegisterOp		174	0xae }
		{ RegisterOp		175	0xaf }
		{ Wrtc			176	0xb0 }
		{ Wrtc			177	0xb1 }
		{ Wrtc			178	0xb2 }
		{ Wrtc			179	0xb3 }
		{ Tpsu			180	0xb4 }
		{ Tpsl			181	0xb5 }
		{ UndefinedOperation	182	0xb6 }
		{ UndefinedOperation	183	0xb7 }
		{ Bsfr			184	0xb8 }
		{ Bsfr			185	0xb9 }
		{ Bsfr			186	0xba }
		{ Zbsr			187	0xbb }
		{ Bsfa			188	0xbc }
		{ Bsfa			189	0xbd }
		{ Bsfa			190	0xbe }
		{ Bsxa			191	0xbf }
		{ Nop			192	0xc0 }
		{ StoreOp		193	0xc1 }
		{ StoreOp		194	0xc2 }
		{ StoreOp		195	0xc3 }
		{ UndefinedOperation	196	0xc4 }
		{ UndefinedOperation	197	0xc5 }
		{ UndefinedOperation	198	0xc6 }
		{ UndefinedOperation	199	0xc7 }
		{ StoreOp		200	0xc8 }
		{ StoreOp		201	0xc9 }
		{ StoreOp		202	0xca }
		{ StoreOp		203	0xcb }
		{ StoreOp		204	0xcc }
		{ StoreOp		205	0xcd }
		{ StoreOp		206	0xce }
		{ StoreOp		207	0xcf }
		{ Rrl			208	0xd0 }
		{ Rrl			209	0xd1 }
		{ Rrl			210	0xd2 }
		{ Rrl			211	0xd3 }
		{ Wrte			212	0xd4 }
		{ Wrte			213	0xd5 }
		{ Wrte			214	0xd6 }
		{ Wrte			215	0xd7 }
		{ Birr			216	0xd8 }
		{ Birr			217	0xd9 }
		{ Birr			218	0xda }
		{ Birr			219	0xdb }
		{ Bira			220	0xdc }
		{ Bira			221	0xdd }
		{ Bira			222	0xde }
		{ Bira			223	0xdf }
		{ RegisterOp		224	0xe0 }
		{ RegisterOp		225	0xe1 }
		{ RegisterOp		226	0xe2 }
		{ RegisterOp		227	0xe3 }
		{ RegisterOp		228	0xe4 }
		{ RegisterOp		229	0xe5 }
		{ RegisterOp		230	0xe6 }
		{ RegisterOp		231	0xe7 }
		{ RegisterOp		232	0xe8 }
		{ RegisterOp		233	0xe9 }
		{ RegisterOp		234	0xea }
		{ RegisterOp		235	0xeb }
		{ RegisterOp		236	0xec }
		{ RegisterOp		237	0xed }
		{ RegisterOp		238	0xee }
		{ RegisterOp		239	0xef }
		{ Wrtd			240	0xf0 }
		{ Wrtd			241	0xf1 }
		{ Wrtd			242	0xf2 }
		{ Wrtd			243	0xf3 }
		{ Tmi			244	0xf4 }
		{ Tmi			245	0xf5 }
		{ Tmi			246	0xf6 }
		{ Tmi			247	0xf7 }
		{ Bdrr			248	0xf8 }
		{ Bdrr			249	0xf9 }
		{ Bdrr			250	0xfa }
		{ Bdrr			251	0xfb }
		{ Bdra			252	0xfc }
		{ Bdra			253	0xfd }
		{ Bdra			254	0xfe }
		{ Bdra			255	0xff }
}

#==============================================================================
